Skip to main content
GET
/
agents
/
calls
/
{call_id}
Get Call
curl --request GET \
  --url https://api.cartesia.ai/agents/calls/{call_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Cartesia-Version: <cartesia-version>'
{
  "id": "<string>",
  "agent_id": "<string>",
  "status": "created",
  "agent_name": "<string>",
  "start_time": "2023-11-07T05:31:56Z",
  "end_time": "2023-11-07T05:31:56Z",
  "transcript": [
    {
      "role": "<string>",
      "start_timestamp": 123,
      "end_timestamp": 123,
      "text": "<string>",
      "text_chunks": [
        {
          "text": "<string>",
          "start_timestamp": 123
        }
      ],
      "end_reason": "<string>",
      "tool_calls": [
        {
          "id": "<string>",
          "name": "<string>",
          "arguments": {},
          "result": "<string>"
        }
      ],
      "vad_buffer_ms": 123,
      "stt_ttfb": 123,
      "tts_ttfb": 123,
      "log_event": {
        "event": "<string>",
        "metadata": {},
        "timestamp": 123
      },
      "log_metric": {
        "name": "<string>",
        "value": 123,
        "timestamp": 123
      }
    }
  ],
  "telephony_params": {
    "to": "<string>",
    "from": "<string>",
    "call_sid": "<string>",
    "direction": "<string>",
    "parameters": {},
    "headers": {},
    "connection_type": "websocket"
  },
  "summary": "<string>",
  "error_message": "<string>",
  "end_reason": "agent_hangup",
  "deployment_id": "<string>",
  "deployment_version_id": "<string>",
  "metadata": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.cartesia.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Cartesia API key (sk_car_...). Get one at play.cartesia.ai/keys.

Headers

Cartesia-Version
enum<string>
required

API version header.

Available options:
2024-06-10,
2024-11-13,
2025-04-16,
2026-03-01
Example:

"2026-03-01"

Path Parameters

call_id
string
required

The ID of the call.

Response

200 - application/json
id
string
required

The unique identifier for the agent call.

agent_id
string
required

The identifier of the agent associated with the call.

status
enum<string>
required

The status of the agent call.

Available options:
created,
started,
completed,
failed
agent_name
string

The name of the agent associated with the call.

start_time
string<date-time> | null

The start time of the agent call.

end_time
string<date-time> | null

The end time of the agent call.

transcript
AgentTranscript · object[] | null

The transcript of the agent call.

telephony_params
TelephonyParams · object

The telephony parameters associated with the call when the call is made via phone.

summary
string | null

A summary of the agent call. This is a brief summary of the call that is generated by Cartesia.

error_message
string | null

The error message, if any, associated with the call.

end_reason
enum<string> | null

The reason why the call ended.

Available options:
agent_hangup,
client_hangup,
api_cancelled,
max_duration,
inactivity,
client_disconnected,
dial_busy,
dial_failed,
dial_no_answer,
error
deployment_id
string | null

The deployment identifier associated with the call.

deployment_version_id
string | null

The specific deployment version identifier associated with the call.

metadata
object

Custom metadata associated with the call.